com.aliyun.player

## Enum AliPlayerGlobalSettings.StreamType

- java.lang.Object
- - java.lang.Enum<AliPlayerGlobalSettings.StreamType>
  - - com.aliyun.player.AliPlayerGlobalSettings.StreamType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AliPlayerGlobalSettings.StreamType>
  Enclosing class:
    AliPlayerGlobalSettings

      public static enum AliPlayerGlobalSettings.StreamType
      extends java.lang.Enum<AliPlayerGlobalSettings.StreamType>

  audio stream type

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STREAM_ALARM` alarms
    `STREAM_MUSIC` music playback
    `STREAM_NOTIFICATION` notifications
    `STREAM_RING` phone ring
    `STREAM_SYSTEM` system sounds
    `STREAM_VOICE_CALL` phone calls

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AliPlayerGlobalSettings.StreamType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AliPlayerGlobalSettings.StreamType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STREAM_VOICE_CALL

          public static final AliPlayerGlobalSettings.StreamType STREAM_VOICE_CALL

      phone calls

    - #### STREAM_SYSTEM

          public static final AliPlayerGlobalSettings.StreamType STREAM_SYSTEM

      system sounds

    - #### STREAM_RING

          public static final AliPlayerGlobalSettings.StreamType STREAM_RING

      phone ring

    - #### STREAM_MUSIC

          public static final AliPlayerGlobalSettings.StreamType STREAM_MUSIC

      music playback

    - #### STREAM_ALARM

          public static final AliPlayerGlobalSettings.StreamType STREAM_ALARM

      alarms

    - #### STREAM_NOTIFICATION

          public static final AliPlayerGlobalSettings.StreamType STREAM_NOTIFICATION

      notifications

  - ### Method Detail

    - #### values

          public static AliPlayerGlobalSettings.StreamType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AliPlayerGlobalSettings.StreamType c : AliPlayerGlobalSettings.StreamType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AliPlayerGlobalSettings.StreamType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null